
/*
   3-RGB-Rainbow Challenge:
   Adjust the speed at which the RGB changes hues using the potentiometer.

   Hint:  Try using the pot to adjust the delay used in the for loops.
*/

//RGB connected to pins 9, 10, 11
const int red = 9;
const int green = 10;
const int blue = 11;

//potentiometer connected to A0
const int pot = A0;
//create variable for potentiometer value
int potValue = 0;

void setup() {
  //set LEDs to output
  pinMode(red, OUTPUT);
  pinMode(green, OUTPUT);
  pinMode(blue, OUTPUT);
}

void loop() {

  //fade from blue to red
  for (int x = 0; x < 256; x++) {
    
    //assign new values to red and blue
    analogWrite(blue, x);
    analogWrite(red, 255 - x);

    //green LED is off
    digitalWrite(green, HIGH);
    
    //delay, otherwise fade would not be visible
    delay(5);
  }

  //fade from red to green
  for (int x = 0; x < 256; x++) {
    potValue = analogRead(pot) / 50;
    analogWrite(red, x);
    analogWrite(green, 255 - x);
    digitalWrite(blue, HIGH);
    delay(5);
  }

    //fade from green to blue
    for (int x = 0; x < 256; x++) {
    potValue = analogRead(pot) / 50;
    analogWrite(green, x);
    analogWrite(blue, 255 - x);
    digitalWrite(red, HIGH);
    delay(5);
  }

}
