
/*
   6-Array Challenge:
   Light up, then turn off LEDs one at a time.

   Hints: use one for loop to turn on LEDs in ascending order.
          use a second loop to turn them off in descending order.
*/

//create array of integers for LEDs
//there are 8 elements in led[]
const int led[] = { 13, 3, 4, 5, 6, 7, 8, 9 };

//example:  led[0] == 13
//          led[1] == 3
//          ...
//          led[7] == 9

void setup() {

  //set all LEDs to output
  for (int x = 0; x < 8; x++) {

    //use array index to refer to each LED
    pinMode(led[x], OUTPUT);
  }
}

void loop() {

  //use for loop to turn all LEDs on
  for (int x = 0; x < 8; x++) {
    digitalWrite(led[x], HIGH);
  }

  //hold for 500ms
  delay(500);

  //use for loop to turn all LEDs off
  for (int x = 0; x < 8; x++) {
    digitalWrite(led[x], LOW);
  }

  //hold for 500ms
  delay(500);
}
