
/*
   4-WhileLoop Challenge:
   Use button1 (pin 15) as ON, and button2 (pin 16) as OFF.

   Hint:  Create seperate integers to track if button1 or button2 are pressed.
*/

//LED connected to pin 9
const int led = 9;

//push-button connected to A1 (analog 1)
//A1 can also be refered to as pin 15 (for digital)
const int button = 15;

//create variable to check if button is pressed
int pressed = 0;
//create variable for the state of the LED
int ledState = 0;

void setup() {
  // put your setup code here, to run once:

  //set LED to output
  pinMode(led, OUTPUT);
  //set button to input
  pinMode(button, INPUT);
}

void loop() {
  // put your main code here, to run repeatedly:

  //while button is not pressed
  //"!pressed" means pressed == 0 or LOW
  while (!pressed) {
    //when button is pressed, a HIGH (or 1) value will be assigned
    pressed = digitalRead(button);
  }

  //if LED is currently off
  if (ledState == 0) {
    //turn LED on
    digitalWrite(led, HIGH);
    //update ledState
    ledState = 1;
  }

  //if LED is currently on (else)
  else {
    //turn LED off
    digitalWrite(led, LOW);
    //update ledState
    ledState = 0;
  }

  //while button is pressed
  //"pressed" means pressed == 1 or HIGH
  while (pressed) {
    //when button is released, a LOW (or 0) value will be assigned
    pressed = digitalRead(button);
  }
}
