
/*
   5-ForLoop Challenge:
   Fade LED up and down (not just up).

   Hint:  Create a second for loop for DOWN.
*/

//pin 9 is a PWM pin (used for analog output)
const int led = 9;

void setup() {

  //set LED to output
  pinMode(led, OUTPUT);
}

void loop() {

  //x is a local variable, it only exists in the for loop
  //looping ends when x < 256 is no longer true
  for (int x = 0; x < 256; x++) {

    //x starts at 0, and increases by 1 each loop
    //x++ is the same as x = x + 1

    //set LED to x value
    analogWrite(led, x);
    //delay to slow fading
    delay(5);
  }
}
