
/*
   7-Tone Challenge:
   Create a sire that cycles through tones 80Hz - 4000Hz up and down.

   Hint:  Use for loops similar to fading an LED.
*/

//speaker is connected to pin 2
const int speaker = 2;
//pot on A0
const int pot = A0;

//variables for pot reading and calculated frequency
int potRead = 0;
int freq = 0;

void setup() {

  //set speaker to output
  pinMode(speaker, OUTPUT);
  //set pot to input
  pinMode(pot, INPUT);
}

void loop() {

  //check pot value
  potRead = analogRead(pot);
  //adjust frequency to value between 100Hz - 4192Hz
  freq = 100 + (4 * potRead);

  //output calculated frequency on the speaker for 200ms
  tone(speaker, freq);
  delay(200);

  //turn speaker off for 200ms
  noTone(speaker);
  delay(200);
}

