
/*
   8-Random Challenge:
   Turn on random LEDs one at a time, for a random period of time.

   Hints: Use a program silimar to this one to get random delays for ON and OFF.
          Look back to 6-Array for a reminder on how to organize LEDs into an array.
*/

//speaker is connected to pin 2
const int speaker = 2;

//integer for random frequency
int freq = 0;

//integer for random delay time when speaker is ON
int onTime = 0;
//integer for random delay time when speaker is OFF
int offTime = 0;

void setup() {

  //set speaker to output
  pinMode(speaker, OUTPUT);
}

void loop() {

  //assign random number (between 80Hz - 4000Hz) to frequency
  freq = random(80, 4000);

  //assign random number for delay up to 400ms (ON)
  onTime = random(400);

  //output random frequency on the speaker for 100ms
  tone(speaker, freq);
  delay(onTime);

  //assign random number for delay up to 400ms (OFF)
  offTime = random(400);

  //turn speaker off for 100ms
  noTone(speaker);
  delay(offTime);
}
